Bug 118719 - CAN-2004-0180 Malicious CVS server
Summary: CAN-2004-0180 Malicious CVS server
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: cvs (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-19 14:48 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-14 13:53:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:153 normal SHIPPED_LIVE Moderate: cvs security update 2004-04-14 04:00:00 UTC

Description Mark J. Cox 2004-03-19 14:48:46 UTC
Sebastian Krahmer discovered a flaw in CVS clients where rcs diff
files can create files with absolute pathnames. An attacker could
create a fake malicious CVS server that would cause arbitrary files to
be created or overwritten when a victim connects to it. 

Embargoed; not sure on public date yet.  Possibly March 22nd or Apr 14th
or March 31st.  

        CAN-2004-0180 Affects: 2.1AS 2.1ES 2.1WS 2.1AW
        CAN-2004-0180 Affects: 3AS 3ES 3WS

Comment 2 Mark J. Cox 2004-03-29 07:19:50 UTC
note: embargo date set as Apr14

RHSA-2004:153 in progress

Comment 3 Mark J. Cox 2004-04-14 13:53:59 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-153.html


Comment 4 Mark J. Cox 2004-04-14 14:05:32 UTC
removing embargo



Note You need to log in before you can comment on or make changes to this bug.